net.sourceforge.pmd.cpd

## Class FileReporter

- java.lang.Object
- - net.sourceforge.pmd.cpd.FileReporter

-     public class FileReporter
      extends Object

  Author:
    Philippe T'Seyen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileReporter(File reportFile)`
    `FileReporter(File reportFile, String encoding)`
    `FileReporter(String encoding)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `report(String content)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileReporter

          public FileReporter(String encoding)

    - #### FileReporter

          public FileReporter(File reportFile)

    - #### FileReporter

          public FileReporter(File reportFile,
                      String encoding)

  - ### Method Detail

    - #### report

          public void report(String content)
                      throws ReportException

      Throws:
        `ReportException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.